Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I know it is simple to download and install but so are many other applications such as phpmyadmin, drupal and Zend Framework and they are all just an apt-get away.

Why is there no package for magento in the repositories or apparently from anywhere else?

Is it a licensing issue? The software is dual licensed under a commercial license and Open Software License (OSL 3.0).

share|improve this question

2 Answers 2

up vote 1 down vote accepted

Have a look at the list of all applications that need to be included in the repositories: https://launchpad.net/ubuntu/+bugs?field.tag=needs-packaging There is more than 2k entries. I think it's not packaged for ubuntu only because the packagers don't have enough time, as there is lots of other work to do.

The license rarely is a problem. Note that quite a lot of free commercially-licenced applications are packaged for ubuntu (proprietary drivers or Adobe Flash for example).

share|improve this answer
    
Thanks for the link. It turns out then that this is a known bug then! No one has yet packaged it. Here is the URL for magento needs-packaging: bugs.launchpad.net/ubuntu/+bug/279230 –  Richard Holloway Aug 19 '11 at 14:54
    
@Richard Holloway: also note this bug was reported 3 years ago. This means it is unlikely it will be fixed soon, as there is almost no interest around it. –  Rafał Cieślak Aug 19 '11 at 15:35
    
Agreed. It is difficult because it is so easy to install manually but on the other hand, having a package just feels right. I am not sure I want to take this on. I may try building a package for my own use and then seeing how that goes. –  Richard Holloway Aug 19 '11 at 16:07
    
@Richard Holloway: Good luck then! :) –  Rafał Cieślak Aug 19 '11 at 16:51

Part of the issue might be with Debian ruling the OSL V1.1 (Magento is now under 3.0) as a non-free license. Conversations on the debian-legal mailing list went:

http://www.opensource.org/licenses/osl.php

We did this one a few months back, but nobody raised the patent/reciprocity thing at that time. Here's the offending clause:

10) Mutual Termination for Patent Action. This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License if You file a lawsuit in any court alleging that any OSI Certified open source software that is licensed under any license containing this "Mutual Termination for Patent Action" clause infringes any patent claims that are essential to use that software.

I think this one's non-free too. It's certainly absurdly overbearing.

And more on that here.

It still seems to be GPL-incompatible because of the way it adds extra restrictions. I didn't think GPL compatibility was a necessity for universe inclusion, but Debian getting in a fluster over it will have stalled the upstream packaging process.

There's no reason why that should have stopped an Ubuntu user from packaging it. It just needs somebody who's willing to take up the task. I should add that this is not a one-off job. Security updates need to be pushed as soon as they're available.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.